<?php 
include('../../../../configuracion.php');
include('../config.php');
	 	 
///////////////////////////////////////////////////////
 
$nombre = isset($_POST['nombre']) ? $_POST['nombre'] : NULL;
$nombre = funcion::LimpiaComillaSimple($nombre);

// ============================

$autor = $_SESSION['administrador_mago_id'];
$fecha_ingreso = date('Y-m-d H:i:s');

		$datos = array(
			'nombre'			=> $db->string($nombre),
			'autor'				=> @$autor+0,
			'editor'			=> @$autor+0,
			'fecha_ingreso'		=> $db->string($fecha_ingreso),
			'fecha_edicion'		=> $db->string($fecha_ingreso)
		);

		$db->insert(TABLA,$datos);
		$id = $db->UltimoId(TABLA);

		if (!empty($id)) {
			$mensaje_respuesta = 'Datos agregados.';
			$url_respuesta = MAGO."c/".MODULO;
		} else {
			$mensaje_respuesta = 'ERROR: No se pudo agregar.';
			$url_respuesta = MAGO."c/".MODULO.'/agregar';
		}


		

		// Incluimos la clase Upload
		include_once 'class.upload.php';
        $imagen = new upload($_FILES['imagen_nueva']);
		
		// Comprobamos si se subió la imagen
		if ($imagen->uploaded) {

        
		
			 
		// ===================================================================================
		// CREAMOS LA IMAGEN ORIGINAL
			  
			  $imagen->image_convert			= 'png';
			  $imagen->jpeg_quality				= 92;
			  $imagen->allowed					= array('image/*');
			  $imagen->file_new_name_body		= $id;
			  $imagen->file_new_name_ext		= 'png';
			  $imagen->image_resize				= true;
			  $imagen->image_ratio_crop			= true;
			  $imagen->image_background_color	= '';
			  $imagen->image_x					= 250; /* Ancho */
			  $imagen->image_y					= 142; /* Alto */
			  
			  $imagen->process('../../../../imagenes/'.FOLDER.'/');
			  if ($imagen->processed) {
				  
				// Subimos a la base de datos
				$datos = array(
					'imagen'	=> $db->string($imagen->file_dst_name),
				);		
				$db->update(TABLA,$datos,"id='$id'");	
				
				} else {
					$mensaje_respuesta = $mensaje_respuesta.'<br>ERROR: '.$imagen->error;
				}
		// FIN DE LA CREACIÓN DE LA IMAGEN ORIGINAL
		// ===================================================================================
		
		
		// ===================================================================================
		// CREAMOS LA MINIATURA
		   
			  $imagen->image_convert			= 'png';
			  $imagen->jpeg_quality				= 92;
			  $imagen->file_new_name_body		= $id.'-min';
			  $imagen->file_new_name_ext		= 'png';
			  $imagen->image_resize				= true;
			  $imagen->image_ratio_crop			= true;
			  $imagen->image_background_color	= '';
			  $imagen->image_x					= 120; /* Ancho */
			  $imagen->image_y					= 120; /* Alto */
			  
			  $imagen->process('../../../../imagenes/'.FOLDER.'/');
			  if ($imagen->processed) {
				  
				// Subimos a la base de datos
				$datos = array(
					'miniatura'	=> $db->string($imagen->file_dst_name),
				);		
				$db->update(TABLA,$datos,"id='$id'");	
				
				} else {
					$mensaje_respuesta = $mensaje_respuesta.'<br>ERROR: '.$imagen->error;
				}
		// FIN DE LA CREACIÓN DE LA MINIATURA
		// ===================================================================================
		
		// ===================================================================================
		// CREAMOS EL RECORTE
		   
			  $imagen->image_convert			= 'png';
			  $imagen->jpeg_quality				= 92;
			  $imagen->allowed					= array('image/*');
			  $imagen->file_new_name_body		= $id.'-rec';
			  $imagen->file_new_name_ext		= 'png';
			  $imagen->image_resize				= true;
			  $imagen->image_ratio_crop			= true;
			  $imagen->image_background_color	= '';
			  $imagen->image_x					= 40; /* Ancho */
			  $imagen->image_y					= 40; /* Alto */
			  
			  $imagen->process('../../../../imagenes/'.FOLDER.'/');
			  if ($imagen->processed) {
				  
				// Subimos a la base de datos
				$datos = array(
					'recorte'	=> $db->string($imagen->file_dst_name),
				);		
				$db->update(TABLA,$datos,"id='$id'");	
				
				} else {
					$mensaje_respuesta = $mensaje_respuesta.'<br>ERROR: '.$imagen->error;
				}
		// FIN DE LA CREACIÓN DEL RECORTE
		// ===================================================================================
				
		}
		
		//======FIN DEL PROCESO DE LA IMAGEN 1=======

        $imagenback = new upload($_FILES['banner']);

        // Comprobamos si se subió la imagen
		  if ($imagenback->uploaded) {
        // ===================================================================================
		// CREAMOS LA IMAGEN ORIGINAL
			  
			  $imagenback->image_convert			= 'jpg';
			  $imagenback->jpeg_quality				= 92;
			  $imagenback->allowed					= array('image/*');
			  $imagenback->file_new_name_body		= 'slide-'.$id;
			  $imagenback->file_new_name_ext		= 'jpg';
			  $imagenback->image_resize				= true;
			  $imagenback->image_ratio_crop			= true;
			  $imagenback->image_background_color	= '#FFFFFF';
			  $imagenback->image_x					= 1920; /* Ancho */
			  $imagenback->image_y					= 700; /* Alto */
			  
			  $imagenback->process('../../../../imagenes/'.FOLDER.'/');
			  if ($imagenback->processed) {
				  
				// Subimos a la base de datos
				$datos = array(
					'banner'	=> $db->string($imagenback->file_dst_name),
				);		
				$db->update(TABLA,$datos,"id='$id'");	
				
				} else {
					$mensaje_respuesta = $mensaje_respuesta.'<br>ERROR: '.$imagenback->error;
				}
		// FIN DE LA CREACIÓN DE LA IMAGEN ORIGINAL
		// ===================================================================================		
		
		}
		
		//======FIN DEL PROCESO DE LA IMAGEN 1=======



echo $mensaje_respuesta.'|'.$url_respuesta;
exit;
?>